Index: tmp/org.txm.core/res/org/txm/xml/xsl/p4top5_perseus.xsl
===================================================================
--- tmp/org.txm.core/res/org/txm/xml/xsl/p4top5_perseus.xsl	(revision 2396)
+++ tmp/org.txm.core/res/org/txm/xml/xsl/p4top5_perseus.xsl	(revision 2397)
@@ -1,843 +1,728 @@
 <?xml version="1.0"?>
-<xsl:stylesheet xmlns:edate="http://exslt.org/dates-and-times"
-  xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:tei="http://www.tei-c.org/ns/1.0"
-  exclude-result-prefixes="tei edate" version="1.0">
-  <!-- 
-       
-       P4 to P5 converter 
-       
-       Sebastian Rahtz <sebastian.rahtz@oucs.ox.ac.uk>
-       
-       $Date: 2007-11-01 16:33:34 +0000 (Thu, 01 Nov 2007) $  $Id: p4top5.xsl 3927 2007-11-01 16:33:34Z rahtz $
-       
-       Copyright 2007 TEI Consortium
-       
-       Permission is hereby granted, free of charge, to any person obtaining
-       a copy of this software and any associated documentation gfiles (the
-       ``Software''), to deal in the Software without restriction, including
-       without limitation the rights to use, copy, modify, merge, publish,
-       distribute, sublicense, and/or sell copies of the Software, and to
-       permit persons to whom the Software is furnished to do so, subject to
-       the following conditions:
-       
-       The above copyright notice and this permission notice shall be included
-       in all copies or substantial portions of the Software.
-       
-  -->
+<xsl:stylesheet
+	xmlns:edate="http://exslt.org/dates-and-times"
+	xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
+	xmlns:tei="http://www.tei-c.org/ns/1.0"
+	exclude-result-prefixes="tei edate" version="1.0">
+	<!-- P4 to P5 converter Sebastian Rahtz <sebastian.rahtz@oucs.ox.ac.uk> 
+		$Date: 2007-11-01 16:33:34 +0000 (Thu, 01 Nov 2007) $ $Id: p4top5.xsl 3927 
+		2007-11-01 16:33:34Z rahtz $ Copyright 2007 TEI Consortium Permission is 
+		hereby granted, free of charge, to any person obtaining a copy of this software 
+		and any associated documentation gfiles (the ``Software''), to deal in the 
+		Software without restriction, including without limitation the rights to 
+		use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies 
+		of the Software, and to permit persons to whom the Software is furnished 
+		to do so, subject to the following conditions: The above copyright notice 
+		and this permission notice shall be included in all copies or substantial 
+		portions of the Software. -->
 
-  <!-- Added changes specific to BFM
-       
-       Alexei Lavrentiev
-       
-       2009-11-13
-       
-       p[@rend='gv'] - ab
-       corr[@sic and @rend]
-       
-       2010-03-12
-       including w into corr (for tokenised texts)
-       
-  -->
-  <xsl:output method="xml" encoding="utf-8" cdata-section-elements="tei:eg"
-    omit-xml-declaration="no"/>
+	<!-- Added changes specific to BFM Alexei Lavrentiev 2009-11-13 p[@rend='gv'] 
+		- ab corr[@sic and @rend] 2010-03-12 including w into corr (for tokenised 
+		texts) -->
+	<xsl:output method="xml" encoding="utf-8"
+		cdata-section-elements="tei:eg" omit-xml-declaration="no" />
 
-  <xsl:variable name="processor">
-    <xsl:value-of select="system-property('xsl:vendor')"/>
-  </xsl:variable>
+	<xsl:variable name="processor">
+		<xsl:value-of select="system-property('xsl:vendor')" />
+	</xsl:variable>
 
-  <xsl:variable name="today">
-    <xsl:choose>
-      <xsl:when test="function-available('edate:date-time')">
-        <xsl:value-of select="edate:date-time()"/>
-      </xsl:when>
-      <xsl:when test="contains($processor,'SAXON')">
-        <xsl:value-of select="Date:toString(Date:new())" xmlns:Date="/java.util.Date"/>
-      </xsl:when>
-      <xsl:otherwise>0000-00-00</xsl:otherwise>
-    </xsl:choose>
-  </xsl:variable>
+	<xsl:variable name="today">
+		<xsl:choose>
+			<xsl:when test="function-available('edate:date-time')">
+				<xsl:value-of select="edate:date-time()" />
+			</xsl:when>
+			<xsl:when test="contains($processor,'SAXON')">
+				<xsl:value-of select="Date:toString(Date:new())"
+					xmlns:Date="/java.util.Date" />
+			</xsl:when>
+			<xsl:otherwise>
+				0000-00-00
+			</xsl:otherwise>
+		</xsl:choose>
+	</xsl:variable>
 
-  <xsl:variable name="uc">ABCDEFGHIJKLMNOPQRSTUVWXYZ</xsl:variable>
-  <xsl:variable name="lc">abcdefghijklmnopqrstuvwxyz</xsl:variable>
+	<xsl:variable name="uc">
+		ABCDEFGHIJKLMNOPQRSTUVWXYZ
+	</xsl:variable>
+	<xsl:variable name="lc">
+		abcdefghijklmnopqrstuvwxyz
+	</xsl:variable>
 
-  <xsl:template match="*">
-    <xsl:choose>
-      <xsl:when test="namespace-uri()=''">
-        <xsl:element namespace="http://www.tei-c.org/ns/1.0" name="{local-name(.)}">
-          <xsl:apply-templates select="*|@*|processing-instruction()|comment()|text()"/>
-        </xsl:element>
-      </xsl:when>
-      <xsl:otherwise>
-        <xsl:copy>
-          <xsl:apply-templates select="*|@*|processing-instruction()|comment()|text()"/>
-        </xsl:copy>
-      </xsl:otherwise>
-    </xsl:choose>
-  </xsl:template>
+	<xsl:template match="*">
+		<xsl:choose>
+			<xsl:when test="namespace-uri()=''">
+				<xsl:element namespace="http://www.tei-c.org/ns/1.0"
+					name="{local-name(.)}">
+					<xsl:apply-templates
+						select="*|@*|processing-instruction()|comment()|text()" />
+				</xsl:element>
+			</xsl:when>
+			<xsl:otherwise>
+				<xsl:copy>
+					<xsl:apply-templates
+						select="*|@*|processing-instruction()|comment()|text()" />
+				</xsl:copy>
+			</xsl:otherwise>
+		</xsl:choose>
+	</xsl:template>
 
 
-  <xsl:template match="@*|processing-instruction()|comment()">
-    <xsl:copy/>
-  </xsl:template>
+	<xsl:template
+		match="@*|processing-instruction()|comment()">
+		<xsl:copy />
+	</xsl:template>
 
 
-  <xsl:template match="text()">
-    <xsl:value-of select="."/>
-  </xsl:template>
+	<xsl:template match="text()">
+		<xsl:value-of select="." />
+	</xsl:template>
 
 
-  <!-- change of name, or replaced by another element -->
-  <xsl:template match="teiCorpus.2">
-    <teiCorpus xmlns="http://www.tei-c.org/ns/1.0">
-      <xsl:apply-templates select="*|@*|processing-instruction()|comment()|text()"/>
-    </teiCorpus>
-  </xsl:template>
+	<!-- change of name, or replaced by another element -->
+	<xsl:template match="teiCorpus.2">
+		<teiCorpus xmlns="http://www.tei-c.org/ns/1.0">
+			<xsl:apply-templates
+				select="*|@*|processing-instruction()|comment()|text()" />
+		</teiCorpus>
+	</xsl:template>
 
-  <xsl:template match="witness/@sigil">
-    <xsl:attribute name="xml:id">
-      <xsl:value-of select="."/>
+	<xsl:template match="witness/@sigil">
+		<xsl:attribute name="xml:id">
+      <xsl:value-of select="." />
     </xsl:attribute>
-  </xsl:template>
+	</xsl:template>
 
-  <xsl:template match="witList">
-    <listWit xmlns="http://www.tei-c.org/ns/1.0">
-      <xsl:apply-templates select="*|@*|processing-instruction()|comment()|text()"/>
-    </listWit>
-  </xsl:template>
+	<xsl:template match="witList">
+		<listWit xmlns="http://www.tei-c.org/ns/1.0">
+			<xsl:apply-templates
+				select="*|@*|processing-instruction()|comment()|text()" />
+		</listWit>
+	</xsl:template>
 
 
-  <xsl:template match="TEI.2">
-    <TEI xmlns="http://www.tei-c.org/ns/1.0">
-      <xsl:apply-templates select="*|@*|processing-instruction()|comment()|text()"/>
-    </TEI>
-  </xsl:template>
+	<xsl:template match="TEI.2">
+		<TEI xmlns="http://www.tei-c.org/ns/1.0">
+			<xsl:apply-templates
+				select="*|@*|processing-instruction()|comment()|text()" />
+		</TEI>
+	</xsl:template>
 
-  <xsl:template match="xref">
-    <xsl:element namespace="http://www.tei-c.org/ns/1.0" name="ref">
-      <xsl:apply-templates select="*|@*|processing-instruction()|comment()|text()"/>
-    </xsl:element>
-  </xsl:template>
+	<xsl:template match="xref">
+		<xsl:element namespace="http://www.tei-c.org/ns/1.0"
+			name="ref">
+			<xsl:apply-templates
+				select="*|@*|processing-instruction()|comment()|text()" />
+		</xsl:element>
+	</xsl:template>
 
 
-  <xsl:template match="xptr">
-    <xsl:element namespace="http://www.tei-c.org/ns/1.0" name="ptr">
-      <xsl:apply-templates select="*|@*|processing-instruction()|comment()|text()"/>
-    </xsl:element>
-  </xsl:template>
+	<xsl:template match="xptr">
+		<xsl:element namespace="http://www.tei-c.org/ns/1.0"
+			name="ptr">
+			<xsl:apply-templates
+				select="*|@*|processing-instruction()|comment()|text()" />
+		</xsl:element>
+	</xsl:template>
 
 
-  <xsl:template match="figure[@url]">
-    <figure xmlns="http://www.tei-c.org/ns/1.0">
-      <graphic xmlns="http://www.tei-c.org/ns/1.0">
-        <xsl:copy-of select="@*"/>
-      </graphic>
-      <xsl:apply-templates/>
-    </figure>
-  </xsl:template>
+	<xsl:template match="figure[@url]">
+		<figure xmlns="http://www.tei-c.org/ns/1.0">
+			<graphic xmlns="http://www.tei-c.org/ns/1.0">
+				<xsl:copy-of select="@*" />
+			</graphic>
+			<xsl:apply-templates />
+		</figure>
+	</xsl:template>
 
 
-  <xsl:template match="figure/@url"/>
+	<xsl:template match="figure/@url" />
 
-  <xsl:template match="figure/@entity"/>
+	<xsl:template match="figure/@entity" />
 
-  <xsl:template match="figure[@entity]">
-    <figure xmlns="http://www.tei-c.org/ns/1.0">
-      <graphic xmlns="http://www.tei-c.org/ns/1.0" url="{unparsed-entity-uri(@entity)}">
-        <xsl:apply-templates select="@*"/>
-      </graphic>
-      <xsl:apply-templates/>
-    </figure>
-  </xsl:template>
+	<xsl:template match="figure[@entity]">
+		<figure xmlns="http://www.tei-c.org/ns/1.0">
+			<graphic xmlns="http://www.tei-c.org/ns/1.0"
+				url="{unparsed-entity-uri(@entity)}">
+				<xsl:apply-templates select="@*" />
+			</graphic>
+			<xsl:apply-templates />
+		</figure>
+	</xsl:template>
 
-  <xsl:template match="event">
-    <incident xmlns="http://www.tei-c.org/ns/1.0">
-      <xsl:apply-templates select="@*|*|text()|comment()|processing-instruction()"/>
-    </incident>
-  </xsl:template>
+	<xsl:template match="event">
+		<incident xmlns="http://www.tei-c.org/ns/1.0">
+			<xsl:apply-templates
+				select="@*|*|text()|comment()|processing-instruction()" />
+		</incident>
+	</xsl:template>
 
-  <xsl:template match="state">
-    <refState xmlns="http://www.tei-c.org/ns/1.0">
-      <xsl:apply-templates select="@*|*|text()|comment()|processing-instruction()"/>
-    </refState>
-  </xsl:template>
+	<xsl:template match="state">
+		<refState xmlns="http://www.tei-c.org/ns/1.0">
+			<xsl:apply-templates
+				select="@*|*|text()|comment()|processing-instruction()" />
+		</refState>
+	</xsl:template>
 
 
-  <!-- lost elements -->
-  <xsl:template match="dateRange">
-    <date xmlns="http://www.tei-c.org/ns/1.0">
-      <xsl:apply-templates select="*|@*|processing-instruction()|comment()|text()"/>
-    </date>
-  </xsl:template>
+	<!-- lost elements -->
+	<xsl:template match="dateRange">
+		<date xmlns="http://www.tei-c.org/ns/1.0">
+			<xsl:apply-templates
+				select="*|@*|processing-instruction()|comment()|text()" />
+		</date>
+	</xsl:template>
 
 
-  <xsl:template match="dateRange/@from">
-    <xsl:copy-of select="."/>
-  </xsl:template>
+	<xsl:template match="dateRange/@from">
+		<xsl:copy-of select="." />
+	</xsl:template>
 
-  <xsl:template match="dateRange/@to">
-    <xsl:copy-of select="."/>
-  </xsl:template>
+	<xsl:template match="dateRange/@to">
+		<xsl:copy-of select="." />
+	</xsl:template>
 
-  <xsl:template match="language">
-    <xsl:element namespace="http://www.tei-c.org/ns/1.0" name="language">
-      <xsl:if test="@id">
-        <xsl:attribute name="ident">
-          <xsl:value-of select="@id"/>
+	<xsl:template match="language">
+		<xsl:element namespace="http://www.tei-c.org/ns/1.0"
+			name="language">
+			<xsl:if test="@id">
+				<xsl:attribute name="ident">
+          <xsl:value-of select="@id" />
         </xsl:attribute>
-      </xsl:if>
-      <xsl:apply-templates select="*|processing-instruction()|comment()|text()"/>
-    </xsl:element>
-  </xsl:template>
+			</xsl:if>
+			<xsl:apply-templates
+				select="*|processing-instruction()|comment()|text()" />
+		</xsl:element>
+	</xsl:template>
 
-  <!-- attributes lost -->
-  <!-- dropped from TEI. Added as new change records later -->
-  <xsl:template match="@date.created"/>
+	<!-- attributes lost -->
+	<!-- dropped from TEI. Added as new change records later -->
+	<xsl:template match="@date.created" />
 
-  <xsl:template match="@date.updated"/>
+	<xsl:template match="@date.updated" />
 
-  <!-- dropped from TEI. No replacement -->
-  <xsl:template match="refsDecl/@doctype"/>
+	<!-- dropped from TEI. No replacement -->
+	<xsl:template match="refsDecl/@doctype" />
 
-  <!-- attributes changed name -->
+	<!-- attributes changed name -->
 
-  <xsl:template match="date/@value">
-    <xsl:attribute name="when">
-      <xsl:value-of select="."/>
+	<xsl:template match="date/@value">
+		<xsl:attribute name="when">
+      <xsl:value-of select="." />
     </xsl:attribute>
-  </xsl:template>
+	</xsl:template>
 
 
-  <xsl:template match="@url">
-    <xsl:attribute name="target">
-      <xsl:value-of select="."/>
+	<xsl:template match="@url">
+		<xsl:attribute name="target">
+      <xsl:value-of select="." />
     </xsl:attribute>
-  </xsl:template>
+	</xsl:template>
 
 
-  <xsl:template match="@doc">
-    <xsl:attribute name="target">
-      <xsl:value-of select="unparsed-entity-uri(.)"/>
+	<xsl:template match="@doc">
+		<xsl:attribute name="target">
+      <xsl:value-of select="unparsed-entity-uri(.)" />
     </xsl:attribute>
-  </xsl:template>
+	</xsl:template>
 
 
-  <xsl:template match="@id">
-    <xsl:choose>
-      <xsl:when test="parent::lang">
-        <xsl:attribute name="ident">
-          <xsl:value-of select="."/>
+	<xsl:template match="@id">
+		<xsl:choose>
+			<xsl:when test="parent::lang">
+				<xsl:attribute name="ident">
+          <xsl:value-of select="." />
         </xsl:attribute>
-      </xsl:when>
-      <xsl:otherwise>
-        <xsl:attribute name="xml:id">
-          <xsl:value-of select="."/>
+			</xsl:when>
+			<xsl:otherwise>
+				<xsl:attribute name="xml:id">
+          <xsl:value-of select="." />
         </xsl:attribute>
-      </xsl:otherwise>
-    </xsl:choose>
-  </xsl:template>
+			</xsl:otherwise>
+		</xsl:choose>
+	</xsl:template>
 
 
-  <xsl:template match="@lang">
-    <xsl:attribute name="xml:lang">
-      <xsl:value-of select="."/>
+	<xsl:template match="@lang">
+		<xsl:attribute name="xml:lang">
+      <xsl:value-of select="." />
     </xsl:attribute>
-  </xsl:template>
+	</xsl:template>
 
 
-  <xsl:template match="change/@date"/>
+	<xsl:template match="change/@date" />
 
-  <xsl:template match="date/@certainty">
-    <xsl:attribute name="cert">
-      <xsl:value-of select="."/>
+	<xsl:template match="date/@certainty">
+		<xsl:attribute name="cert">
+      <xsl:value-of select="." />
     </xsl:attribute>
-  </xsl:template>
+	</xsl:template>
 
-  <!-- all pointing attributes preceded by # -->
+	<!-- all pointing attributes preceded by # -->
 
-  <xsl:template match="variantEncoding/@location">
-    <xsl:copy-of select="."/>
-  </xsl:template>
+	<xsl:template match="variantEncoding/@location">
+		<xsl:copy-of select="." />
+	</xsl:template>
 
-  <xsl:template
-    match="@ana|@active|@adj|@adjFrom|@adjTo|@children|@children|@class|@code|@code|@copyOf|@corresp|@decls|@domains|@end|@exclude|@fVal|@feats|@follow|@from|@hand|@inst|@langKey|@location|@mergedin|@new|@next|@old|@origin|@otherLangs|@parent|@passive|@perf|@prev|@render|@resp|@sameAs|@scheme|@script|@select|@since|@start|@synch|@target|@targetEnd|@to|@to|@value|@value|@who|@wit">
-    <xsl:attribute name="{name(.)}">
+	<xsl:template
+		match="@ana|@active|@adj|@adjFrom|@adjTo|@children|@children|@class|@code|@code|@copyOf|@corresp|@decls|@domains|@end|@exclude|@fVal|@feats|@follow|@from|@hand|@inst|@langKey|@location|@mergedin|@new|@next|@old|@origin|@otherLangs|@parent|@passive|@perf|@prev|@render|@resp|@sameAs|@scheme|@script|@select|@since|@start|@synch|@target|@targetEnd|@to|@to|@value|@value|@who|@wit">
+		<xsl:attribute name="{name(.)}">
       <xsl:call-template name="splitter">
         <xsl:with-param name="val">
-          <xsl:value-of select="."/>
+          <xsl:value-of select="." />
         </xsl:with-param>
       </xsl:call-template>
     </xsl:attribute>
-  </xsl:template>
+	</xsl:template>
 
 
-  <xsl:template name="splitter">
-    <xsl:param name="val"/>
-    <xsl:choose>
-      <xsl:when test="contains($val,' ')">
-        <xsl:text>#</xsl:text>
-        <xsl:value-of select="substring-before($val,' ')"/>
-        <xsl:text> </xsl:text>
-        <xsl:call-template name="splitter">
-          <xsl:with-param name="val">
-            <xsl:value-of select="substring-after($val,' ')"/>
-          </xsl:with-param>
-        </xsl:call-template>
-      </xsl:when>
-      <xsl:otherwise>
-        <xsl:text>#</xsl:text>
-        <xsl:value-of select="$val"/>
-      </xsl:otherwise>
-    </xsl:choose>
-  </xsl:template>
+	<xsl:template name="splitter">
+		<xsl:param name="val" />
+		<xsl:choose>
+			<xsl:when test="contains($val,' ')">
+				<xsl:text>#</xsl:text>
+				<xsl:value-of select="substring-before($val,' ')" />
+				<xsl:text> </xsl:text>
+				<xsl:call-template name="splitter">
+					<xsl:with-param name="val">
+						<xsl:value-of select="substring-after($val,' ')" />
+					</xsl:with-param>
+				</xsl:call-template>
+			</xsl:when>
+			<xsl:otherwise>
+				<xsl:text>#</xsl:text>
+				<xsl:value-of select="$val" />
+			</xsl:otherwise>
+		</xsl:choose>
+	</xsl:template>
 
 
-  <!-- fool around with selected elements -->
+	<!-- fool around with selected elements -->
 
 
-  <!-- imprint is no longer allowed inside bibl -->
-  <xsl:template match="bibl/imprint">
-    <xsl:apply-templates/>
-  </xsl:template>
+	<!-- imprint is no longer allowed inside bibl -->
+	<xsl:template match="bibl/imprint">
+		<xsl:apply-templates />
+	</xsl:template>
 
-  <xsl:template match="editionStmt/editor">
-    <respStmt xmlns="http://www.tei-c.org/ns/1.0">
-      <resp>
-        <xsl:value-of select="@role"/>
-      </resp>
-      <name>
-        <xsl:apply-templates/>
-      </name>
-    </respStmt>
-  </xsl:template>
+	<xsl:template match="editionStmt/editor">
+		<respStmt xmlns="http://www.tei-c.org/ns/1.0">
+			<resp>
+				<xsl:value-of select="@role" />
+			</resp>
+			<name>
+				<xsl:apply-templates />
+			</name>
+		</respStmt>
+	</xsl:template>
 
-  <!-- header -->
-  <!-- BFM special treatment 
-  <xsl:template match="teiHeader">
-    <teiHeader xmlns="http://www.tei-c.org/ns/1.0">
-      <xsl:apply-templates select="@*|*|comment()|processing-instruction()"/>
-      
-      <xsl:if test="not(revisionDesc) and (@date.created or @date.updated)">
-	<revisionDesc  xmlns="http://www.tei-c.org/ns/1.0">
-	  <xsl:if test="@date.updated">
-	    <change  xmlns="http://www.tei-c.org/ns/1.0">>
-	    <label>updated</label>
-	    <date  xmlns="http://www.tei-c.org/ns/1.0">
-	      <xsl:value-of select="@date.updated"/>
-	    </date>
-	    <label  xmlns="http://www.tei-c.org/ns/1.0">Date edited</label>
-	    </change>
-	  </xsl:if>
-	  <xsl:if test="@date.created">
-	    <change  xmlns="http://www.tei-c.org/ns/1.0">
-	      <label>created</label>
-	      <date  xmlns="http://www.tei-c.org/ns/1.0">
-		<xsl:value-of select="@date.created"/>
-	      </date>
-	      <label  xmlns="http://www.tei-c.org/ns/1.0">Date created</label>
-	    </change>
-	  </xsl:if>
-	</revisionDesc>
-      </xsl:if>
-     [comment]
-	  <change when="{$today}"  xmlns="http://www.tei-c.org/ns/1.0">Converted to TEI P5 XML by p4top5.xsl
-	  written by Sebastian
-	  Rahtz at Oxford University Computing Services.</change>
-	  </revisionDesc>
-	  </xsl:if>
-      [/comment]
-    </teiHeader>
-  </xsl:template>
-  -->
-  <xsl:template match="revisionDesc">
-    <revisionDesc xmlns="http://www.tei-c.org/ns/1.0">
-      <xsl:apply-templates select="@*|*|comment()|processing-instruction()"/>
-    </revisionDesc>
-  </xsl:template>
+	<!-- header -->
+	<!-- BFM special treatment <xsl:template match="teiHeader"> <teiHeader xmlns="http://www.tei-c.org/ns/1.0"> 
+		<xsl:apply-templates select="@*|*|comment()|processing-instruction()"/> <xsl:if 
+		test="not(revisionDesc) and (@date.created or @date.updated)"> <revisionDesc 
+		xmlns="http://www.tei-c.org/ns/1.0"> <xsl:if test="@date.updated"> <change 
+		xmlns="http://www.tei-c.org/ns/1.0">> <label>updated</label> <date xmlns="http://www.tei-c.org/ns/1.0"> 
+		<xsl:value-of select="@date.updated"/> </date> <label xmlns="http://www.tei-c.org/ns/1.0">Date 
+		edited</label> </change> </xsl:if> <xsl:if test="@date.created"> <change 
+		xmlns="http://www.tei-c.org/ns/1.0"> <label>created</label> <date xmlns="http://www.tei-c.org/ns/1.0"> 
+		<xsl:value-of select="@date.created"/> </date> <label xmlns="http://www.tei-c.org/ns/1.0">Date 
+		created</label> </change> </xsl:if> </revisionDesc> </xsl:if> [comment] <change 
+		when="{$today}" xmlns="http://www.tei-c.org/ns/1.0">Converted to TEI P5 XML 
+		by p4top5.xsl written by Sebastian Rahtz at Oxford University Computing Services.</change> 
+		</revisionDesc> </xsl:if> [/comment] </teiHeader> </xsl:template> -->
+	<xsl:template match="revisionDesc">
+		<revisionDesc xmlns="http://www.tei-c.org/ns/1.0">
+			<xsl:apply-templates
+				select="@*|*|comment()|processing-instruction()" />
+		</revisionDesc>
+	</xsl:template>
 
-  <xsl:template match="publicationStmt">
-    <publicationStmt xmlns="http://www.tei-c.org/ns/1.0">
-      <xsl:apply-templates select="@*|*|comment()|processing-instruction()"/>
-      <!--
-	  <availability xmlns="http://www.tei-c.org/ns/1.0">
-	  <p xmlns="http://www.tei-c.org/ns/1.0">Licensed under <ptr xmlns="http://www.tei-c.org/ns/1.0" target="http://creativecommons.org/licenses/by-sa/2.0/uk/"/></p>
-	  </availability>
-      -->
-    </publicationStmt>
-  </xsl:template>
+	<xsl:template match="publicationStmt">
+		<publicationStmt xmlns="http://www.tei-c.org/ns/1.0">
+			<xsl:apply-templates
+				select="@*|*|comment()|processing-instruction()" />
+			<!-- <availability xmlns="http://www.tei-c.org/ns/1.0"> <p xmlns="http://www.tei-c.org/ns/1.0">Licensed 
+				under <ptr xmlns="http://www.tei-c.org/ns/1.0" target="http://creativecommons.org/licenses/by-sa/2.0/uk/"/></p> 
+				</availability> -->
+		</publicationStmt>
+	</xsl:template>
 
-  <!-- space does not have @extent any more -->
-  <xsl:template match="space/@extent">
-    <xsl:attribute name="quantity">
-      <xsl:value-of select="."/>
+	<!-- space does not have @extent any more -->
+	<xsl:template match="space/@extent">
+		<xsl:attribute name="quantity">
+      <xsl:value-of select="." />
     </xsl:attribute>
-  </xsl:template>
+	</xsl:template>
 
-  <!-- tagsDecl has a compulsory namespace child now -->
-  <xsl:template match="tagsDecl">
-    <xsl:if test="*">
-      <tagsDecl xmlns="http://www.tei-c.org/ns/1.0">
-        <namespace name="http://www.tei-c.org/ns/1.0">
-          <xsl:apply-templates select="*|comment()|processing-instruction"/>
-        </namespace>
-      </tagsDecl>
-    </xsl:if>
-  </xsl:template>
+	<!-- tagsDecl has a compulsory namespace child now -->
+	<xsl:template match="tagsDecl">
+		<xsl:if test="*">
+			<tagsDecl xmlns="http://www.tei-c.org/ns/1.0">
+				<namespace name="http://www.tei-c.org/ns/1.0">
+					<xsl:apply-templates
+						select="*|comment()|processing-instruction" />
+				</namespace>
+			</tagsDecl>
+		</xsl:if>
+	</xsl:template>
 
-  <!-- orgTitle inside orgName? redundant -->
-  <xsl:template match="orgName/orgTitle">
-    <xsl:apply-templates/>
-  </xsl:template>
+	<!-- orgTitle inside orgName? redundant -->
+	<xsl:template match="orgName/orgTitle">
+		<xsl:apply-templates />
+	</xsl:template>
 
-  <!-- no need for empty <p> in sourceDesc -->
-  <xsl:template match="sourceDesc/p[string-length(.)=0]"/>
+	<!-- no need for empty <p> in sourceDesc -->
+	<xsl:template match="sourceDesc/p[string-length(.)=0]" />
 
-  <!-- start creating the new choice element -->
-  <!-- corr & sic elements: BFM special treatment 
-  <xsl:template match="corr[@sic]">
-    <choice  xmlns="http://www.tei-c.org/ns/1.0">
-      <corr  xmlns="http://www.tei-c.org/ns/1.0">
-	<xsl:value-of select="text()" />
-      </corr>
-      <sic  xmlns="http://www.tei-c.org/ns/1.0">
-	<xsl:value-of select="@sic" />
-      </sic>
-    </choice>
-  </xsl:template>
-  
-  <xsl:template match="sic[@corr]">
-    <choice  xmlns="http://www.tei-c.org/ns/1.0">
-      <sic  xmlns="http://www.tei-c.org/ns/1.0">
-	<xsl:value-of select="text()" />
-      </sic>
-      <corr  xmlns="http://www.tei-c.org/ns/1.0">
-	<xsl:value-of select="@corr" />
-      </corr>
-    </choice>
-  </xsl:template>
-  -->
-  <xsl:template match="abbr[@expan]">
-    <choice xmlns="http://www.tei-c.org/ns/1.0">
-      <abbr xmlns="http://www.tei-c.org/ns/1.0">
-        <xsl:value-of select="text()"/>
-      </abbr>
-      <expan xmlns="http://www.tei-c.org/ns/1.0">
-        <xsl:value-of select="@expan"/>
-      </expan>
-    </choice>
-  </xsl:template>
+	<!-- start creating the new choice element -->
+	<!-- corr & sic elements: BFM special treatment <xsl:template match="corr[@sic]"> 
+		<choice xmlns="http://www.tei-c.org/ns/1.0"> <corr xmlns="http://www.tei-c.org/ns/1.0"> 
+		<xsl:value-of select="text()" /> </corr> <sic xmlns="http://www.tei-c.org/ns/1.0"> 
+		<xsl:value-of select="@sic" /> </sic> </choice> </xsl:template> <xsl:template 
+		match="sic[@corr]"> <choice xmlns="http://www.tei-c.org/ns/1.0"> <sic xmlns="http://www.tei-c.org/ns/1.0"> 
+		<xsl:value-of select="text()" /> </sic> <corr xmlns="http://www.tei-c.org/ns/1.0"> 
+		<xsl:value-of select="@corr" /> </corr> </choice> </xsl:template> -->
+	<xsl:template match="abbr[@expan]">
+		<choice xmlns="http://www.tei-c.org/ns/1.0">
+			<abbr xmlns="http://www.tei-c.org/ns/1.0">
+				<xsl:value-of select="text()" />
+			</abbr>
+			<expan xmlns="http://www.tei-c.org/ns/1.0">
+				<xsl:value-of select="@expan" />
+			</expan>
+		</choice>
+	</xsl:template>
 
-  <xsl:template match="expan[@abbr]">
-    <choice xmlns="http://www.tei-c.org/ns/1.0">
-      <expan xmlns="http://www.tei-c.org/ns/1.0">
-        <xsl:value-of select="text()"/>
-      </expan>
-      <abbr xmlns="http://www.tei-c.org/ns/1.0">
-        <xsl:value-of select="@abbr"/>
-      </abbr>
-    </choice>
-  </xsl:template>
+	<xsl:template match="expan[@abbr]">
+		<choice xmlns="http://www.tei-c.org/ns/1.0">
+			<expan xmlns="http://www.tei-c.org/ns/1.0">
+				<xsl:value-of select="text()" />
+			</expan>
+			<abbr xmlns="http://www.tei-c.org/ns/1.0">
+				<xsl:value-of select="@abbr" />
+			</abbr>
+		</choice>
+	</xsl:template>
 
-  <!-- special consideration for <change> element -->
-  <xsl:template match="change">
-    <change xmlns="http://www.tei-c.org/ns/1.0">
+	<!-- special consideration for <change> element -->
+	<xsl:template match="change">
+		<change xmlns="http://www.tei-c.org/ns/1.0">
 
-      <xsl:apply-templates select="date"/>
+			<xsl:apply-templates select="date" />
 
-      <xsl:if test="respStmt/resp">
-        <label>
-          <xsl:value-of select="respStmt/resp/text()"/>
-        </label>
-      </xsl:if>
-      <xsl:for-each select="respStmt/name">
-        <name xmlns="http://www.tei-c.org/ns/1.0">
-          <xsl:apply-templates select="@*|*|comment()|processing-instruction()|text()"/>
-        </name>
-      </xsl:for-each>
-      <xsl:for-each select="item">
-        <xsl:apply-templates select="@*|*|comment()|processing-instruction()|text()"/>
-      </xsl:for-each>
-    </change>
-  </xsl:template>
+			<xsl:if test="respStmt/resp">
+				<label>
+					<xsl:value-of select="respStmt/resp/text()" />
+				</label>
+			</xsl:if>
+			<xsl:for-each select="respStmt/name">
+				<name xmlns="http://www.tei-c.org/ns/1.0">
+					<xsl:apply-templates
+						select="@*|*|comment()|processing-instruction()|text()" />
+				</name>
+			</xsl:for-each>
+			<xsl:for-each select="item">
+				<xsl:apply-templates
+					select="@*|*|comment()|processing-instruction()|text()" />
+			</xsl:for-each>
+		</change>
+	</xsl:template>
 
 
-  <xsl:template match="respStmt[resp]">
-    <respStmt xmlns="http://www.tei-c.org/ns/1.0">
-      <xsl:choose>
-        <xsl:when test="resp/name">
-          <resp xmlns="http://www.tei-c.org/ns/1.0">
-            <xsl:value-of select="resp/text()"/>
-          </resp>
-          <xsl:for-each select="resp/name">
-            <name xmlns="http://www.tei-c.org/ns/1.0">
-              <xsl:apply-templates/>
-            </name>
-          </xsl:for-each>
-        </xsl:when>
-        <xsl:otherwise>
-          <xsl:apply-templates/>
-          <name xmlns="http://www.tei-c.org/ns/1.0"> </name>
-        </xsl:otherwise>
-      </xsl:choose>
-    </respStmt>
-  </xsl:template>
+	<xsl:template match="respStmt[resp]">
+		<respStmt xmlns="http://www.tei-c.org/ns/1.0">
+			<xsl:choose>
+				<xsl:when test="resp/name">
+					<resp xmlns="http://www.tei-c.org/ns/1.0">
+						<xsl:value-of select="resp/text()" />
+					</resp>
+					<xsl:for-each select="resp/name">
+						<name xmlns="http://www.tei-c.org/ns/1.0">
+							<xsl:apply-templates />
+						</name>
+					</xsl:for-each>
+				</xsl:when>
+				<xsl:otherwise>
+					<xsl:apply-templates />
+					<name xmlns="http://www.tei-c.org/ns/1.0">
+					</name>
+				</xsl:otherwise>
+			</xsl:choose>
+		</respStmt>
+	</xsl:template>
 
-  <xsl:template match="q/@direct"/>
+	<xsl:template match="q/@direct" />
 
-  <xsl:template match="q">
-    <q xmlns="http://www.tei-c.org/ns/1.0">
-      <xsl:apply-templates select="@*|*|comment()|processing-instruction()|text()"/>
-    </q>
-  </xsl:template>
+	<xsl:template match="q">
+		<q xmlns="http://www.tei-c.org/ns/1.0">
+			<xsl:apply-templates
+				select="@*|*|comment()|processing-instruction()|text()" />
+		</q>
+	</xsl:template>
 
 
-  <!-- if we are reading the P4 with a DTD,
-       we need to avoid copying the default values
-       of attributes -->
+	<!-- if we are reading the P4 with a DTD, we need to avoid copying the default 
+		values of attributes -->
 
-  <xsl:template match="@targOrder">
-    <xsl:if test="not(translate(.,$uc,$lc) ='u')">
-      <xsl:attribute name="targOrder">
-        <xsl:value-of select="."/>
+	<xsl:template match="@targOrder">
+		<xsl:if test="not(translate(.,$uc,$lc) ='u')">
+			<xsl:attribute name="targOrder">
+        <xsl:value-of select="." />
       </xsl:attribute>
-    </xsl:if>
-  </xsl:template>
+		</xsl:if>
+	</xsl:template>
 
 
-  <xsl:template match="@opt">
-    <xsl:if test="not(translate(.,$uc,$lc) ='n')">
-      <xsl:attribute name="opt">
-        <xsl:value-of select="."/>
+	<xsl:template match="@opt">
+		<xsl:if test="not(translate(.,$uc,$lc) ='n')">
+			<xsl:attribute name="opt">
+        <xsl:value-of select="." />
       </xsl:attribute>
-    </xsl:if>
-  </xsl:template>
+		</xsl:if>
+	</xsl:template>
 
 
-  <xsl:template match="@to">
-    <xsl:if test="not(translate(.,$uc,$lc) ='ditto')">
-      <xsl:attribute name="to">
-        <xsl:value-of select="."/>
+	<xsl:template match="@to">
+		<xsl:if test="not(translate(.,$uc,$lc) ='ditto')">
+			<xsl:attribute name="to">
+        <xsl:value-of select="." />
       </xsl:attribute>
-    </xsl:if>
-  </xsl:template>
+		</xsl:if>
+	</xsl:template>
 
 
-  <xsl:template match="@default">
-    <xsl:choose>
-      <xsl:when test="translate(.,$uc,$lc)= 'no'"/>
-      <xsl:otherwise>
-        <xsl:attribute name="default">
-          <xsl:value-of select="."/>
+	<xsl:template match="@default">
+		<xsl:choose>
+			<xsl:when test="translate(.,$uc,$lc)= 'no'" />
+			<xsl:otherwise>
+				<xsl:attribute name="default">
+          <xsl:value-of select="." />
         </xsl:attribute>
-      </xsl:otherwise>
-    </xsl:choose>
-  </xsl:template>
+			</xsl:otherwise>
+		</xsl:choose>
+	</xsl:template>
 
 
-  <xsl:template match="@part">
-    <xsl:if test="not(translate(.,$uc,$lc) ='n')">
-      <xsl:attribute name="part">
-        <xsl:value-of select="."/>
+	<xsl:template match="@part">
+		<xsl:if test="not(translate(.,$uc,$lc) ='n')">
+			<xsl:attribute name="part">
+        <xsl:value-of select="." />
       </xsl:attribute>
-    </xsl:if>
-  </xsl:template>
+		</xsl:if>
+	</xsl:template>
 
 
-  <xsl:template match="@full">
-    <xsl:if test="not(translate(.,$uc,$lc) ='yes')">
-      <xsl:attribute name="full">
-        <xsl:value-of select="."/>
+	<xsl:template match="@full">
+		<xsl:if test="not(translate(.,$uc,$lc) ='yes')">
+			<xsl:attribute name="full">
+        <xsl:value-of select="." />
       </xsl:attribute>
-    </xsl:if>
-  </xsl:template>
+		</xsl:if>
+	</xsl:template>
 
 
-  <xsl:template match="@from">
-    <xsl:if test="not(translate(.,$uc,$lc) ='root')">
-      <xsl:attribute name="from">
-        <xsl:value-of select="."/>
+	<xsl:template match="@from">
+		<xsl:if test="not(translate(.,$uc,$lc) ='root')">
+			<xsl:attribute name="from">
+        <xsl:value-of select="." />
       </xsl:attribute>
-    </xsl:if>
-  </xsl:template>
+		</xsl:if>
+	</xsl:template>
 
 
-  <xsl:template match="@status">
-    <xsl:choose>
-      <xsl:when test="parent::teiHeader">
-        <xsl:if test="not(translate(.,$uc,$lc) ='new')">
-          <xsl:attribute name="status">
-            <xsl:value-of select="."/>
+	<xsl:template match="@status">
+		<xsl:choose>
+			<xsl:when test="parent::teiHeader">
+				<xsl:if test="not(translate(.,$uc,$lc) ='new')">
+					<xsl:attribute name="status">
+            <xsl:value-of select="." />
           </xsl:attribute>
-        </xsl:if>
-      </xsl:when>
-      <xsl:when test="parent::del">
-        <xsl:if test="not(translate(.,$uc,$lc) ='unremarkable')">
-          <xsl:attribute name="status">
-            <xsl:value-of select="."/>
+				</xsl:if>
+			</xsl:when>
+			<xsl:when test="parent::del">
+				<xsl:if test="not(translate(.,$uc,$lc) ='unremarkable')">
+					<xsl:attribute name="status">
+            <xsl:value-of select="." />
           </xsl:attribute>
-        </xsl:if>
-      </xsl:when>
-      <xsl:otherwise>
-        <xsl:attribute name="status">
-          <xsl:value-of select="."/>
+				</xsl:if>
+			</xsl:when>
+			<xsl:otherwise>
+				<xsl:attribute name="status">
+          <xsl:value-of select="." />
         </xsl:attribute>
-      </xsl:otherwise>
-    </xsl:choose>
-  </xsl:template>
+			</xsl:otherwise>
+		</xsl:choose>
+	</xsl:template>
 
 
-  <xsl:template match="@place">
-    <xsl:if test="not(translate(.,$uc,$lc) ='unspecified')">
-      <xsl:attribute name="place">
-        <xsl:value-of select="."/>
+	<xsl:template match="@place">
+		<xsl:if test="not(translate(.,$uc,$lc) ='unspecified')">
+			<xsl:attribute name="place">
+        <xsl:value-of select="." />
       </xsl:attribute>
-    </xsl:if>
-  </xsl:template>
+		</xsl:if>
+	</xsl:template>
 
 
-  <xsl:template match="@sample">
-    <xsl:if test="not(translate(.,$uc,$lc) ='complete')">
-      <xsl:attribute name="sample">
-        <xsl:value-of select="."/>
+	<xsl:template match="@sample">
+		<xsl:if test="not(translate(.,$uc,$lc) ='complete')">
+			<xsl:attribute name="sample">
+        <xsl:value-of select="." />
       </xsl:attribute>
-    </xsl:if>
-  </xsl:template>
+		</xsl:if>
+	</xsl:template>
 
 
-  <xsl:template match="@org">
-    <xsl:if test="not(translate(.,$uc,$lc) ='uniform')">
-      <xsl:attribute name="org">
-        <xsl:value-of select="."/>
+	<xsl:template match="@org">
+		<xsl:if test="not(translate(.,$uc,$lc) ='uniform')">
+			<xsl:attribute name="org">
+        <xsl:value-of select="." />
       </xsl:attribute>
-    </xsl:if>
-  </xsl:template>
+		</xsl:if>
+	</xsl:template>
 
-  <xsl:template match="teiHeader/@type">
-    <xsl:if test="not(translate(.,$uc,$lc) ='text')">
-      <xsl:attribute name="type">
-        <xsl:value-of select="."/>
+	<xsl:template match="teiHeader/@type">
+		<xsl:if test="not(translate(.,$uc,$lc) ='text')">
+			<xsl:attribute name="type">
+        <xsl:value-of select="." />
       </xsl:attribute>
-    </xsl:if>
-  </xsl:template>
+		</xsl:if>
+	</xsl:template>
 
-  <!-- yes|no to boolean -->
+	<!-- yes|no to boolean -->
 
-  <xsl:template match="@anchored">
-    <xsl:attribute name="anchored">
+	<xsl:template match="@anchored">
+		<xsl:attribute name="anchored">
       <xsl:choose>
         <xsl:when test="translate(.,$uc,$lc)='yes'">true</xsl:when>
         <xsl:when test="translate(.,$uc,$lc)='no'">false</xsl:when>
       </xsl:choose>
     </xsl:attribute>
-  </xsl:template>
+	</xsl:template>
 
-  <xsl:template match="sourceDesc/@default"/>
+	<xsl:template match="sourceDesc/@default" />
 
-  <xsl:template match="@tei">
-    <xsl:attribute name="tei">
+	<xsl:template match="@tei">
+		<xsl:attribute name="tei">
       <xsl:choose>
         <xsl:when test="translate(.,$uc,$lc)='yes'">true</xsl:when>
         <xsl:when test="translate(.,$uc,$lc)='no'">false</xsl:when>
       </xsl:choose>
     </xsl:attribute>
-  </xsl:template>
+	</xsl:template>
 
-  <xsl:template match="@langKey"/>
+	<xsl:template match="@langKey" />
 
-  <xsl:template match="@TEIform"/>
+	<xsl:template match="@TEIform" />
 
-  <!-- assorted atts -->
-  <xsl:template match="@old"/>
+	<!-- assorted atts -->
+	<xsl:template match="@old" />
 
-  <xsl:template match="@mergedin">
-    <xsl:attribute name="mergedIn">
-      <xsl:value-of select="."/>
+	<xsl:template match="@mergedin">
+		<xsl:attribute name="mergedIn">
+      <xsl:value-of select="." />
     </xsl:attribute>
-  </xsl:template>
+	</xsl:template>
 
-  <!-- deal with the loss of div0 -->
+	<!-- deal with the loss of div0 -->
 
-  <xsl:template match="div1|div2|div3|div4|div5|div6">
-    <xsl:variable name="divName">
-      <xsl:choose>
-        <xsl:when test="ancestor::div0">
-          <xsl:text>div</xsl:text>
-          <xsl:value-of select="number(substring-after(local-name(.),'div')) + 1"/>
-        </xsl:when>
-        <xsl:otherwise>
-          <xsl:value-of select="local-name()"/>
-        </xsl:otherwise>
-      </xsl:choose>
-    </xsl:variable>
-    <xsl:element name="{$divName}" namespace="http://www.tei-c.org/ns/1.0">
-      <xsl:apply-templates select="*|@*|processing-instruction()|comment()|text()"/>
-    </xsl:element>
-  </xsl:template>
+	<xsl:template match="div1|div2|div3|div4|div5|div6">
+		<xsl:variable name="divName">
+			<xsl:choose>
+				<xsl:when test="ancestor::div0">
+					<xsl:text>div</xsl:text>
+					<xsl:value-of
+						select="number(substring-after(local-name(.),'div')) + 1" />
+				</xsl:when>
+				<xsl:otherwise>
+					<xsl:value-of select="local-name()" />
+				</xsl:otherwise>
+			</xsl:choose>
+		</xsl:variable>
+		<xsl:element name="{$divName}"
+			namespace="http://www.tei-c.org/ns/1.0">
+			<xsl:apply-templates
+				select="*|@*|processing-instruction()|comment()|text()" />
+		</xsl:element>
+	</xsl:template>
 
-  <xsl:template match="div0">
-    <div1 xmlns="http://www.tei-c.org/ns/1.0">
-      <xsl:apply-templates select="*|@*|processing-instruction()|comment()|text()"/>
-    </div1>
-  </xsl:template>
-  
- <xsl:template match="l">
-   <xsl:apply-templates/>
- </xsl:template>
-  
-  <xsl:template match="lb">
-    <xsl:text>&#xA;</xsl:text>
-    <lb xmlns="http://www.tei-c.org/ns/1.0">
-      <xsl:apply-templates select="@*"></xsl:apply-templates>
-    </lb>
-  </xsl:template>
-  
-  <xsl:template match="sp[child::l]">
-    <sp xmlns="http://www.tei-c.org/ns/1.0">
-      <xsl:apply-templates select="@*"/>
-      <xsl:text>&#xA;</xsl:text>
-      <xsl:apply-templates select="speaker"/>
-      <xsl:text>&#xA;</xsl:text>
-      <ab><xsl:apply-templates select="l|lb"/></ab>
-    </sp>
-  </xsl:template>
+	<xsl:template match="div0">
+		<div1 xmlns="http://www.tei-c.org/ns/1.0">
+			<xsl:apply-templates
+				select="*|@*|processing-instruction()|comment()|text()" />
+		</div1>
+	</xsl:template>
 
-<!--
-  <!-\- BFM specific -\->
+	<xsl:template match="l">
+		<xsl:apply-templates />
+	</xsl:template>
 
-  <xsl:template match="p[@rend]">
-    <ab xmlns="http://www.tei-c.org/ns/1.0">
-      <xsl:apply-templates select="*|@*|processing-instruction()|comment()|text()"/>
-    </ab>
-  </xsl:template>
+	<xsl:template match="lb">
+		<xsl:text>&#xA;</xsl:text>
+		<lb xmlns="http://www.tei-c.org/ns/1.0">
+			<xsl:apply-templates select="@*"></xsl:apply-templates>
+		</lb>
+	</xsl:template>
 
-  <!-\- reducing header -\->
-  <xsl:template match="teiHeader">
-    <teiHeader xmlns="http://www.tei-c.org/ns/1.0">
-      <xsl:apply-templates select="fileDesc"/>
-    </teiHeader>
-  </xsl:template>
+	<xsl:template match="sp[child::l]">
+		<sp xmlns="http://www.tei-c.org/ns/1.0">
+			<xsl:apply-templates select="@*" />
+			<xsl:text>&#xA;</xsl:text>
+			<xsl:apply-templates select="speaker" />
+			<xsl:text>&#xA;</xsl:text>
+			<ab>
+				<xsl:apply-templates select="l|lb" />
+			</ab>
+		</sp>
+	</xsl:template>
 
-  <xsl:template match="fileDesc">
-    <fileDesc xmlns="http://www.tei-c.org/ns/1.0">
-      <xsl:apply-templates select="titleStmt"/>
-      <publicationStmt xmlns="http://www.tei-c.org/ns/1.0"><p xmlns="http://www.tei-c.org/ns/1.0"></p></publicationStmt><sourceDesc xmlns="http://www.tei-c.org/ns/1.0"><p xmlns="http://www.tei-c.org/ns/1.0"></p></sourceDesc>
-    </fileDesc>
-  </xsl:template>
-  
-  <xsl:template match="titleStmt">
-    <titleStmt xmlns="http://www.tei-c.org/ns/1.0">
-      <xsl:choose>
-        <xsl:when test="descendant::title[@type='normal']">
-          <xsl:apply-templates select="title[@type='normal']|author"/>
-        </xsl:when>
-        <xsl:otherwise>
-          <title xmlns="http://www.tei-c.org/ns/1.0"><xsl:value-of select="descendant::title[1]"/></title>
-        </xsl:otherwise>
-      </xsl:choose>
-      
-    </titleStmt>
-  </xsl:template>
-  
-
-  <xsl:template name="corr-crochets">
-    <xsl:value-of select="substring-before(@rend,'[')"/>
-    <xsl:element name="supplied" namespace="http://www.tei-c.org/ns/1.0">
-      <xsl:if test="string-length(@sic) &gt; 0">
-        <xsl:attribute name="rend">word_part</xsl:attribute>
-      </xsl:if>
-      <xsl:value-of select="substring-before(substring-after(@rend,'['),']')"/>
-    </xsl:element>
-    <xsl:value-of select="substring-after(@rend,']')"/>
-  </xsl:template>
-
-  <xsl:template match="corr[@sic]">
-    <choice xmlns="http://www.tei-c.org/ns/1.0">
-      <xsl:element name="corr" namespace="http://www.tei-c.org/ns/1.0">
-        <xsl:if test="@resp">
-          <xsl:attribute name="resp">
-            <xsl:value-of select="@resp"/>
-          </xsl:attribute>
-        </xsl:if>
-        <xsl:if test="@rend[not(contains(.,'crochets')) and not(contains(.,'['))]">
-          <xsl:attribute name="rend">
-            <xsl:value-of select="@rend"/>
-          </xsl:attribute>
-        </xsl:if>
-        <xsl:choose>
-          <xsl:when test="contains(@rend,'[') and contains(@rend,']')">
-            <xsl:choose>
-              <xsl:when test="child::w">
-                <xsl:text>&#xA;</xsl:text>
-                <xsl:element name="w" namespace="http://www.tei-c.org/ns/1.0">
-                  <xsl:call-template name="corr-crochets"/>
-                </xsl:element>
-                <xsl:text>&#xA;</xsl:text>
-              </xsl:when>
-              <xsl:otherwise>
-                <xsl:call-template name="corr-crochets"/>
-              </xsl:otherwise>
-            </xsl:choose>
-          </xsl:when>
-          <xsl:when test="string-length(@sic) = 0">
-            <xsl:element name="supplied" namespace="http://www.tei-c.org/ns/1.0">
-              <xsl:apply-templates select="@resp|@rend|*|text()"/>
-            </xsl:element>
-          </xsl:when>
-          <xsl:otherwise>
-            <xsl:apply-templates select="@resp|@rend|*|text()"/>
-          </xsl:otherwise>
-        </xsl:choose>
-      </xsl:element>
-      <xsl:element name="sic" namespace="http://www.tei-c.org/ns/1.0">
-        <xsl:value-of select="@sic"/>
-      </xsl:element>
-    </choice>
-  </xsl:template>
-
-  <xsl:template match="sic[@corr]">
-    <choice xmlns="http://www.tei-c.org/ns/1.0">
-      <xsl:element name="corr" namespace="http://www.tei-c.org/ns/1.0">
-        <xsl:if test="@resp">
-          <xsl:attribute name="resp">
-            <xsl:value-of select="@resp"/>
-          </xsl:attribute>
-        </xsl:if>
-        <xsl:if test="@rend[not(contains(.,'crochets')) and not(contains(.,'['))]">
-          <xsl:attribute name="rend">
-            <xsl:value-of select="@rend"/>
-          </xsl:attribute>
-        </xsl:if>
-        <xsl:choose>
-          <xsl:when test="contains(@rend,'[') and contains(@rend,']')">
-            <xsl:choose>
-              <xsl:when test="child::w">
-                <xsl:text>&#xA;</xsl:text>
-                <xsl:element name="w" namespace="http://www.tei-c.org/ns/1.0">
-                  <xsl:call-template name="corr-crochets"/>
-                </xsl:element>
-                <xsl:text>&#xA;</xsl:text>
-              </xsl:when>
-              <xsl:otherwise>
-                <xsl:call-template name="corr-crochets"/>
-              </xsl:otherwise>
-            </xsl:choose>
-          </xsl:when>
-          <xsl:when test="string-length(.) = 0">
-            <xsl:element name="supplied" namespace="http://www.tei-c.org/ns/1.0">
-              <xsl:apply-templates select="@resp|@rend|*|text()"/>
-            </xsl:element>
-          </xsl:when>
-          <xsl:otherwise>
-            <xsl:apply-templates select="@resp|@rend"/>
-            <xsl:value-of select="@corr"/>
-          </xsl:otherwise>
-        </xsl:choose>
-      </xsl:element>
-      <xsl:element name="sic" namespace="http://www.tei-c.org/ns/1.0">
-        <xsl:apply-templates/>
-      </xsl:element>
-    </choice>
-  </xsl:template>
-
-
--->
+	<!-- <!-\- BFM specific -\-> <xsl:template match="p[@rend]"> <ab xmlns="http://www.tei-c.org/ns/1.0"> 
+		<xsl:apply-templates select="*|@*|processing-instruction()|comment()|text()"/> 
+		</ab> </xsl:template> <!-\- reducing header -\-> <xsl:template match="teiHeader"> 
+		<teiHeader xmlns="http://www.tei-c.org/ns/1.0"> <xsl:apply-templates select="fileDesc"/> 
+		</teiHeader> </xsl:template> <xsl:template match="fileDesc"> <fileDesc xmlns="http://www.tei-c.org/ns/1.0"> 
+		<xsl:apply-templates select="titleStmt"/> <publicationStmt xmlns="http://www.tei-c.org/ns/1.0"><p 
+		xmlns="http://www.tei-c.org/ns/1.0"></p></publicationStmt><sourceDesc xmlns="http://www.tei-c.org/ns/1.0"><p 
+		xmlns="http://www.tei-c.org/ns/1.0"></p></sourceDesc> </fileDesc> </xsl:template> 
+		<xsl:template match="titleStmt"> <titleStmt xmlns="http://www.tei-c.org/ns/1.0"> 
+		<xsl:choose> <xsl:when test="descendant::title[@type='normal']"> <xsl:apply-templates 
+		select="title[@type='normal']|author"/> </xsl:when> <xsl:otherwise> <title 
+		xmlns="http://www.tei-c.org/ns/1.0"><xsl:value-of select="descendant::title[1]"/></title> 
+		</xsl:otherwise> </xsl:choose> </titleStmt> </xsl:template> <xsl:template 
+		name="corr-crochets"> <xsl:value-of select="substring-before(@rend,'[')"/> 
+		<xsl:element name="supplied" namespace="http://www.tei-c.org/ns/1.0"> <xsl:if 
+		test="string-length(@sic) &gt; 0"> <xsl:attribute name="rend">word_part</xsl:attribute> 
+		</xsl:if> <xsl:value-of select="substring-before(substring-after(@rend,'['),']')"/> 
+		</xsl:element> <xsl:value-of select="substring-after(@rend,']')"/> </xsl:template> 
+		<xsl:template match="corr[@sic]"> <choice xmlns="http://www.tei-c.org/ns/1.0"> 
+		<xsl:element name="corr" namespace="http://www.tei-c.org/ns/1.0"> <xsl:if 
+		test="@resp"> <xsl:attribute name="resp"> <xsl:value-of select="@resp"/> 
+		</xsl:attribute> </xsl:if> <xsl:if test="@rend[not(contains(.,'crochets')) 
+		and not(contains(.,'['))]"> <xsl:attribute name="rend"> <xsl:value-of select="@rend"/> 
+		</xsl:attribute> </xsl:if> <xsl:choose> <xsl:when test="contains(@rend,'[') 
+		and contains(@rend,']')"> <xsl:choose> <xsl:when test="child::w"> <xsl:text>&#xA;</xsl:text> 
+		<xsl:element name="w" namespace="http://www.tei-c.org/ns/1.0"> <xsl:call-template 
+		name="corr-crochets"/> </xsl:element> <xsl:text>&#xA;</xsl:text> </xsl:when> 
+		<xsl:otherwise> <xsl:call-template name="corr-crochets"/> </xsl:otherwise> 
+		</xsl:choose> </xsl:when> <xsl:when test="string-length(@sic) = 0"> <xsl:element 
+		name="supplied" namespace="http://www.tei-c.org/ns/1.0"> <xsl:apply-templates 
+		select="@resp|@rend|*|text()"/> </xsl:element> </xsl:when> <xsl:otherwise> 
+		<xsl:apply-templates select="@resp|@rend|*|text()"/> </xsl:otherwise> </xsl:choose> 
+		</xsl:element> <xsl:element name="sic" namespace="http://www.tei-c.org/ns/1.0"> 
+		<xsl:value-of select="@sic"/> </xsl:element> </choice> </xsl:template> <xsl:template 
+		match="sic[@corr]"> <choice xmlns="http://www.tei-c.org/ns/1.0"> <xsl:element 
+		name="corr" namespace="http://www.tei-c.org/ns/1.0"> <xsl:if test="@resp"> 
+		<xsl:attribute name="resp"> <xsl:value-of select="@resp"/> </xsl:attribute> 
+		</xsl:if> <xsl:if test="@rend[not(contains(.,'crochets')) and not(contains(.,'['))]"> 
+		<xsl:attribute name="rend"> <xsl:value-of select="@rend"/> </xsl:attribute> 
+		</xsl:if> <xsl:choose> <xsl:when test="contains(@rend,'[') and contains(@rend,']')"> 
+		<xsl:choose> <xsl:when test="child::w"> <xsl:text>&#xA;</xsl:text> <xsl:element 
+		name="w" namespace="http://www.tei-c.org/ns/1.0"> <xsl:call-template name="corr-crochets"/> 
+		</xsl:element> <xsl:text>&#xA;</xsl:text> </xsl:when> <xsl:otherwise> <xsl:call-template 
+		name="corr-crochets"/> </xsl:otherwise> </xsl:choose> </xsl:when> <xsl:when 
+		test="string-length(.) = 0"> <xsl:element name="supplied" namespace="http://www.tei-c.org/ns/1.0"> 
+		<xsl:apply-templates select="@resp|@rend|*|text()"/> </xsl:element> </xsl:when> 
+		<xsl:otherwise> <xsl:apply-templates select="@resp|@rend"/> <xsl:value-of 
+		select="@corr"/> </xsl:otherwise> </xsl:choose> </xsl:element> <xsl:element 
+		name="sic" namespace="http://www.tei-c.org/ns/1.0"> <xsl:apply-templates/> 
+		</xsl:element> </choice> </xsl:template> -->
 </xsl:stylesheet>
